QJournalProtocolProtos.QJournalProtocolService.Stub (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: QJournalProtocolService, class: Stub

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.QJournalProtocolService.Stub

java.lang.Object
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.QJournalProtocolService
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.QJournalProtocolService.Stub

All Implemented Interfaces:
  `QJournalProtocolProtos.QJournalProtocolService.Interface`, `org.apache.hadoop.thirdparty.protobuf.Service`

Enclosing class:
  QJournalProtocolProtos.QJournalProtocolService

public static final class QJournalProtocolProtos.QJournalProtocolService.Stub extends QJournalProtocolProtos.QJournalProtocolService implements QJournalProtocolProtos.QJournalProtocolService.Interface

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.QJournalProtocolService

  `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface, QJournalProtocolProtos.QJournalProtocolService.Interface, QJournalProtocolProtos.QJournalProtocolService.Stub`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.AcceptRecoveryResponseProto> done)`
  `rpc acceptRecovery(.hadoop.hdfs.qjournal.AcceptRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.AcceptRecoveryResponseProto);`
  `void`
  `canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.CanRollBackResponseProto> done)`
  `rpc canRollBack(.hadoop.hdfs.qjournal.CanRollBackRequestProto) returns (.hadoop.hdfs.qjournal.CanRollBackResponseProto);`
  `void`
  `discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DiscardSegmentsResponseProto> done)`
  `rpc discardSegments(.hadoop.hdfs.qjournal.DiscardSegmentsRequestProto) returns (.hadoop.hdfs.qjournal.DiscardSegmentsResponseProto);`
  `void`
  `doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoFinalizeResponseProto> done)`
  `rpc doFinalize(.hadoop.hdfs.qjournal.DoFinalizeRequestProto) returns (.hadoop.hdfs.qjournal.DoFinalizeResponseProto);`
  `void`
  `doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoPreUpgradeResponseProto> done)`
  `rpc doPreUpgrade(.hadoop.hdfs.qjournal.DoPreUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoPreUpgradeResponseProto);`
  `void`
  `doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoRollbackResponseProto> done)`
  `rpc doRollback(.hadoop.hdfs.qjournal.DoRollbackRequestProto) returns (.hadoop.hdfs.qjournal.DoRollbackResponseProto);`
  `void`
  `doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoUpgradeResponseProto> done)`
  `rpc doUpgrade(.hadoop.hdfs.qjournal.DoUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoUpgradeResponseProto);`
  `void`
  `finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FinalizeLogSegmentResponseProto> done)`
  `rpc finalizeLogSegment(.hadoop.hdfs.qjournal.FinalizeLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.FinalizeLogSegmentResponseProto);`
  `void`
  `format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FormatResponseProto> done)`
  `rpc format(.hadoop.hdfs.qjournal.FormatRequestProto) returns (.hadoop.hdfs.qjournal.FormatResponseProto);`
  `org.apache.hadoop.thirdparty.protobuf.RpcChannel`
  `getChannel()`
  `void`
  `getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)`
  `rpc getEditLogManifest(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`
  `void`
  `getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalCTimeResponseProto> done)`
  `rpc getJournalCTime(.hadoop.hdfs.qjournal.GetJournalCTimeRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalCTimeResponseProto);`
  `void`
  `getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournaledEditsResponseProto> done)`
  `rpc getJournaledEdits(.hadoop.hdfs.qjournal.GetJournaledEditsRequestProto) returns (.hadoop.hdfs.qjournal.GetJournaledEditsResponseProto);`
  `void`
  `getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalStateResponseProto> done)`
  `rpc getJournalState(.hadoop.hdfs.qjournal.GetJournalStateRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalStateResponseProto);`
  `void`
  `heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.HeartbeatResponseProto> done)`
  `rpc heartbeat(.hadoop.hdfs.qjournal.HeartbeatRequestProto) returns (.hadoop.hdfs.qjournal.HeartbeatResponseProto);`
  `void`
  `isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.IsFormattedResponseProto> done)`
  `rpc isFormatted(.hadoop.hdfs.qjournal.IsFormattedRequestProto) returns (.hadoop.hdfs.qjournal.IsFormattedResponseProto);`
  `void`
  `journal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.JournalRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.JournalResponseProto> done)`
  `rpc journal(.hadoop.hdfs.qjournal.JournalRequestProto) returns (.hadoop.hdfs.qjournal.JournalResponseProto);`
  `void`
  `newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.NewEpochResponseProto> done)`
  `rpc newEpoch(.hadoop.hdfs.qjournal.NewEpochRequestProto) returns (.hadoop.hdfs.qjournal.NewEpochResponseProto);`
  `void`
  `prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PrepareRecoveryResponseProto> done)`
  `rpc prepareRecovery(.hadoop.hdfs.qjournal.PrepareRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.PrepareRecoveryResponseProto);`
  `void`
  `purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PurgeLogsResponseProto> done)`
  `rpc purgeLogs(.hadoop.hdfs.qjournal.PurgeLogsRequestProto) returns (.hadoop.hdfs.qjournal.PurgeLogsResponseProto);`
  `void`
  `startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.StartLogSegmentResponseProto> done)`
  `rpc startLogSegment(.hadoop.hdfs.qjournal.StartLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.StartLogSegmentResponseProto);`

  ### Methods inherited from class org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.QJournalProtocolService

  `callMethod, getDescriptor, getDescriptorForType, getRequestPrototype, getResponsePrototype, newBlockingStub, newReflectiveBlockingService, newReflectiveService, newStub`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getChannel

    public org.apache.hadoop.thirdparty.protobuf.RpcChannel getChannel()

  - ### isFormatted

    public void isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.IsFormattedResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc isFormatted(.hadoop.hdfs.qjournal.IsFormattedRequestProto) returns (.hadoop.hdfs.qjournal.IsFormattedResponseProto);`
    Specified by:
      `isFormatted` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `isFormatted` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### getJournalCTime

    public void getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalCTimeResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc getJournalCTime(.hadoop.hdfs.qjournal.GetJournalCTimeRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalCTimeResponseProto);`
    Specified by:
      `getJournalCTime` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `getJournalCTime` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### doPreUpgrade

    public void doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoPreUpgradeResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc doPreUpgrade(.hadoop.hdfs.qjournal.DoPreUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoPreUpgradeResponseProto);`
    Specified by:
      `doPreUpgrade` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `doPreUpgrade` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### doUpgrade

    public void doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoUpgradeResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc doUpgrade(.hadoop.hdfs.qjournal.DoUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoUpgradeResponseProto);`
    Specified by:
      `doUpgrade` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `doUpgrade` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### doFinalize

    public void doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoFinalizeResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc doFinalize(.hadoop.hdfs.qjournal.DoFinalizeRequestProto) returns (.hadoop.hdfs.qjournal.DoFinalizeResponseProto);`
    Specified by:
      `doFinalize` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `doFinalize` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### canRollBack

    public void canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.CanRollBackResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc canRollBack(.hadoop.hdfs.qjournal.CanRollBackRequestProto) returns (.hadoop.hdfs.qjournal.CanRollBackResponseProto);`
    Specified by:
      `canRollBack` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `canRollBack` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### doRollback

    public void doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoRollbackResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc doRollback(.hadoop.hdfs.qjournal.DoRollbackRequestProto) returns (.hadoop.hdfs.qjournal.DoRollbackResponseProto);`
    Specified by:
      `doRollback` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `doRollback` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### discardSegments

    public void discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DiscardSegmentsResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc discardSegments(.hadoop.hdfs.qjournal.DiscardSegmentsRequestProto) returns (.hadoop.hdfs.qjournal.DiscardSegmentsResponseProto);`
    Specified by:
      `discardSegments` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `discardSegments` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### getJournalState

    public void getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalStateResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc getJournalState(.hadoop.hdfs.qjournal.GetJournalStateRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalStateResponseProto);`
    Specified by:
      `getJournalState` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `getJournalState` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### newEpoch

    public void newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.NewEpochResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc newEpoch(.hadoop.hdfs.qjournal.NewEpochRequestProto) returns (.hadoop.hdfs.qjournal.NewEpochResponseProto);`
    Specified by:
      `newEpoch` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `newEpoch` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### format

    public void format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FormatResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc format(.hadoop.hdfs.qjournal.FormatRequestProto) returns (.hadoop.hdfs.qjournal.FormatResponseProto);`
    Specified by:
      `format` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `format` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### journal

    public void journal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.JournalRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.JournalResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc journal(.hadoop.hdfs.qjournal.JournalRequestProto) returns (.hadoop.hdfs.qjournal.JournalResponseProto);`
    Specified by:
      `journal` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `journal` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### heartbeat

    public void heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.HeartbeatResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc heartbeat(.hadoop.hdfs.qjournal.HeartbeatRequestProto) returns (.hadoop.hdfs.qjournal.HeartbeatResponseProto);`
    Specified by:
      `heartbeat` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `heartbeat` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### startLogSegment

    public void startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.StartLogSegmentResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc startLogSegment(.hadoop.hdfs.qjournal.StartLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.StartLogSegmentResponseProto);`
    Specified by:
      `startLogSegment` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `startLogSegment` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### finalizeLogSegment

    public void finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FinalizeLogSegmentResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc finalizeLogSegment(.hadoop.hdfs.qjournal.FinalizeLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.FinalizeLogSegmentResponseProto);`
    Specified by:
      `finalizeLogSegment` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `finalizeLogSegment` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### purgeLogs

    public void purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PurgeLogsResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc purgeLogs(.hadoop.hdfs.qjournal.PurgeLogsRequestProto) returns (.hadoop.hdfs.qjournal.PurgeLogsResponseProto);`
    Specified by:
      `purgeLogs` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `purgeLogs` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### getEditLogManifest

    public void getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc getEditLogManifest(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`
    Specified by:
      `getEditLogManifest` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `getEditLogManifest` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### getJournaledEdits

    public void getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournaledEditsResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc getJournaledEdits(.hadoop.hdfs.qjournal.GetJournaledEditsRequestProto) returns (.hadoop.hdfs.qjournal.GetJournaledEditsResponseProto);`
    Specified by:
      `getJournaledEdits` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `getJournaledEdits` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### prepareRecovery

    public void prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PrepareRecoveryResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc prepareRecovery(.hadoop.hdfs.qjournal.PrepareRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.PrepareRecoveryResponseProto);`
    Specified by:
      `prepareRecovery` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `prepareRecovery` in class `QJournalProtocolProtos.QJournalProtocolService`

  - ### acceptRecovery

    public void acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.AcceptRecoveryResponseProto> done)
    Description copied from class: `QJournalProtocolProtos.QJournalProtocolService`
    `rpc acceptRecovery(.hadoop.hdfs.qjournal.AcceptRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.AcceptRecoveryResponseProto);`
    Specified by:
      `acceptRecovery` in interface `QJournalProtocolProtos.QJournalProtocolService.Interface`
    Specified by:
      `acceptRecovery` in class `QJournalProtocolProtos.QJournalProtocolService`